## moc-applet.tar.gz

=== Makefile ===
# moc-applet: control the MOC audio player
# Copyright (C) 2006  Eric C. Cooper <ecc@cmu.edu>
# Released under the GNU General Public License *)

RESULT = moc_applet

SOURCES = info.ml moc.ml moc_applet.ml

INCDIRS = +lablgtk2
LIBS = unix lablgtk lablpanel

OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
OCAMLFLAGS = -warn-error A -w s

all: native-code

include $(OCAMLMAKEFILE)

=== debian/changelog ===
moc-applet (1.0) unstable; urgency=low

  * Initial version

 -- Eric Cooper <ecc@cmu.edu>  Wed, 22 Feb 2006 13:11:01 -0500

=== debian/control ===
Source: moc-applet
Section: gnome
Priority: optional
Maintainer: Eric Cooper <ecc@cmu.edu>
Build-Depends: debhelper (>= 4.0), ocaml-nox (>= 3.09.1), ocaml-best-compilers, ocaml-tools, liblablgtk2-gnome-ocaml-dev, chrpath
Standards-Version: 3.6.2

Package: moc-applet
Architecture: any
Depends: ${shlibs:Depends}, ${F:OCamlRun}, moc
Description: control the MOC audio player from the Gnome panel
 A Gnome panel applet that displays the song being played by the MOC server
 and provides basic control buttons like play, pause, and stop.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_COMPAT=5

OCAMLABI = $(shell ocamlc -version)
BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))

debian/control:
	sed -e 's/@OCamlABI@/$(OCAMLABI)/g' $@.in > $@

build: build-stamp
build-stamp:
	dh_testdir
	if [ -x /usr/bin/ocamlopt ]; then \
	    $(MAKE) native-code; \
	    chrpath --delete moc_applet; \
	else \
	    $(MAKE) byte-code; \
	fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install moc_applet usr/lib/gnome-applets
	dh_install moc_applet.server usr/lib/bonobo/servers

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VF:OCamlRun="$(OCAMLRUN)"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

# -*- makefile-mode -*-
